from typing import ClassVar
from ..base_nodes import CCBaseNode

class DepartmentStructureNode(CCBaseNode):
    __primarylabel__: ClassVar[str] = 'DepartmentStructure'

class PastoralStructureNode(CCBaseNode):
    __primarylabel__: ClassVar[str] = 'PastoralStructure'

class CurriculumStructureNode(CCBaseNode):
    __primarylabel__: ClassVar[str] = 'CurriculumStructure'

class SiteStructureNode(CCBaseNode):
    __primarylabel__: ClassVar[str] = 'SiteStructure'

class StaffStructureNode(CCBaseNode):
    __primarylabel__: ClassVar[str] = 'StaffStructure'

class StudentStructureNode(CCBaseNode):
    __primarylabel__: ClassVar[str] = 'StudentStructure'

class ITAdminStructureNode(CCBaseNode):
    __primarylabel__: ClassVar[str] = 'ITAdminStructure'